Package org.flowable.eventregistry.api

# Interface EventDeploymentBuilder

public interface EventDeploymentBuilder
Builder for creating new deployments. A builder instance can be obtained through `EventRepositoryService.createDeployment()`. Multiple resources can be added to one deployment before calling the `deploy()` operation. After deploying, no more changes can be made to the returned deployment and the builder instance can be disposed.

Author:
  Tijs Rademakers, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventDeploymentBuilder`
  `addChannelDefinition(String resourceName, String channelDefinition)`
  `EventDeploymentBuilder`
  `addChannelDefinitionBytes(String resourceName, byte[] channelBytes)`
  `EventDeploymentBuilder`
  `addClasspathResource(String resource)`
  `EventDeploymentBuilder`
  `addEventDefinition(String resourceName, String eventDefinition)`
  `EventDeploymentBuilder`
  `addEventDefinitionBytes(String resourceName, byte[] eventBytes)`
  `EventDeploymentBuilder`
  `addInputStream(String resourceName, InputStream inputStream)`
  `EventDeploymentBuilder`
  `addString(String resourceName, String text)`
  `EventDeploymentBuilder`
  `category(String category)`
  Gives the deployment the given category.
  `EventDeployment`
  `deploy()`
  Deploys all provided sources to the Flowable engine.
  `EventDeploymentBuilder`
  `enableDuplicateFiltering()`
  Allows to add a property to the deployment builder that influences the deployment.
  `EventDeploymentBuilder`
  `name(String name)`
  Gives the deployment the given name.
  `EventDeploymentBuilder`
  `parentDeploymentId(String parentDeploymentId)`
  Gives the deployment the given parent deployment id.
  `EventDeploymentBuilder`
  `tenantId(String tenantId)`
  Gives the deployment the given tenant id.

- ## Method Details

  - ### addInputStream

    EventDeploymentBuilder addInputStream(String resourceName, InputStream inputStream)

  - ### addClasspathResource

    EventDeploymentBuilder addClasspathResource(String resource)

  - ### addString

    EventDeploymentBuilder addString(String resourceName, String text)

  - ### addEventDefinitionBytes

    EventDeploymentBuilder addEventDefinitionBytes(String resourceName, byte[] eventBytes)

  - ### addEventDefinition

    EventDeploymentBuilder addEventDefinition(String resourceName, String eventDefinition)

  - ### addChannelDefinitionBytes

    EventDeploymentBuilder addChannelDefinitionBytes(String resourceName, byte[] channelBytes)

  - ### addChannelDefinition

    EventDeploymentBuilder addChannelDefinition(String resourceName, String channelDefinition)

  - ### name

    EventDeploymentBuilder name(String name)
    Gives the deployment the given name.

  - ### category

    EventDeploymentBuilder category(String category)
    Gives the deployment the given category.

  - ### tenantId

    EventDeploymentBuilder tenantId(String tenantId)
    Gives the deployment the given tenant id.

  - ### parentDeploymentId

    EventDeploymentBuilder parentDeploymentId(String parentDeploymentId)
    Gives the deployment the given parent deployment id.

  - ### enableDuplicateFiltering

    EventDeploymentBuilder enableDuplicateFiltering()
    Allows to add a property to the deployment builder that influences the deployment.

  - ### deploy

    EventDeployment deploy()
    Deploys all provided sources to the Flowable engine.